中危 net/http 中的主机标头清理不充分 (CVE-2023-29406)

CVE编号

CVE-2023-29406

利用情况

暂无

补丁情况

官方补丁

披露时间

2023-07-12
漏洞描述
The HTTP/1 client does not fully validate the contents of the Host header. A maliciously crafted Host header can inject additional headers or entire requests. With fix, the HTTP/1 client now refuses to send requests containing an invalid Request.Host or Request.URL.Host value.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 golang go * Up to
(excluding)
1.19.11
运行在以下环境
应用 golang go * From
(including)
1.20.0
Up to
(excluding)
1.20.6
运行在以下环境
系统 alma_linux_9 skopeo * Up to
(excluding)
1.13.3-1.el9
运行在以下环境
系统 alpine_3.18 go * Up to
(excluding)
1.20.7-r0
运行在以下环境
系统 alpine_3.19 go * Up to
(excluding)
1.20.6-r0
运行在以下环境
系统 amazon_2 runc * Up to
(excluding)
1.1.7-2.amzn2
运行在以下环境
系统 amazon_2023 runc * Up to
(excluding)
1.1.7-1.amzn2023.0.2
运行在以下环境
系统 amazon_AMI golang * Up to
(excluding)
1.20.8-1.47.amzn1
运行在以下环境
系统 anolis_os_23 golang * Up to
(excluding)
1.20.9-1
运行在以下环境
系统 fedora_EPEL_7 golang * Up to
(excluding)
1.19.13-1.el7
运行在以下环境
系统 kylinos_aarch64_V10 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 kylinos_aarch64_V10SP1 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 kylinos_aarch64_V10SP2 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 kylinos_aarch64_V10SP3 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 kylinos_loongarch64_V10SP1 golang * Up to
(excluding)
1.15.7-32.p01.a.ky10
运行在以下环境
系统 kylinos_loongarch64_V10SP3 golang * Up to
(excluding)
1.15.7-32.p01.a.ky10
运行在以下环境
系统 kylinos_x86_64_V10 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 kylinos_x86_64_V10SP1 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 kylinos_x86_64_V10SP2 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 kylinos_x86_64_V10SP3 golang * Up to
(excluding)
1.15.7-32.ky10
运行在以下环境
系统 opensuse_Leap_15.4 go1.20 * Up to
(excluding)
1.20.6-150000.1.17.1
运行在以下环境
系统 opensuse_Leap_15.5 go1.20 * Up to
(excluding)
1.20.6-150000.1.17.1
运行在以下环境
系统 oracle_9 skopeo * Up to
(excluding)
1.13.3-1.el9
运行在以下环境
系统 redhat_9 skopeo * Up to
(excluding)
1.13.3-1.el9
运行在以下环境
系统 rocky_linux_8 libdb-cxx * Up to
(excluding)
5.3.28-42.el8_4
阿里云评分
6.1
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-436 解释冲突
阿里云安全产品覆盖情况